| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "softwareDomain.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (8 global), complexTypes (8), element groups (3)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/softwareDomain.xsd; see XML source
Imports Schemas (1):
xml.xsd [src]
Included in Schemas (1):
ditabase.xsd [src]

All Element Summary
cmdname |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of cmdname.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The command name (<cmdname>) element specifies the name of a command when it is part of a software discussion. »
filepath |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of filepath.class)
Content: | mixed, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <filepath> element indicates the name and optionally the location of a referenced file by specifying the directory containing the file, and other directories that may precede it in the system hierarchy. »
msgblock |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of msgblock.class)
Content: | mixed, 22 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The message block (<msgblock>) element contains a multi-line message or set of messages. »
msgnum |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of msgnum.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The message number (<msgnum>) element contains the number of a message produced by an application or program. »
msgph |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of msgph.class)
Content: | mixed, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The message phrase (<msgph>) element contains the text content of a message produced by an application or program. »
systemoutput |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of systemoutput.class)
Content: | mixed, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The system output (<systemoutput>) element represents computer output or responses to a command or situation. »
userinput |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of userinput.class)
Content: | mixed, 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The user input (<userinput>) element represens the text a user should input in response to a program or system prompt. »
varname |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of varname.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The variable name (<varname>) element defines a variable that must be supplied to a software application. »

Complex Type Summary
cmdname.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
filepath.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
msgblock.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 21 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
msgnum.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
msgph.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
systemoutput.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
userinput.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
varname.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location

Element Group Summary
sw-d-keyword |
Namespace: | {no namespace}
Content: | 3 elements
Defined: | globally; see XML source
Includes: | declarations of 3 elements
Referenced: | by 1 location
sw-d-ph |
Namespace: | {no namespace}
Content: | 4 elements
Defined: | globally; see XML source
Includes: | declarations of 4 elements
Referenced: | by 1 location
sw-d-pre |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.